# TdApi.SupergroupMembersFilterMention (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: SupergroupMembersFilterMention

Package it.tdlight.jni

# Class TdApi.SupergroupMembersFilterMention

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.SupergroupMembersFilter
it.tdlight.jni.TdApi.SupergroupMembersFilterMention

Enclosing class:
  TdApi

    public static class TdApi.SupergroupMembersFilterMention
    extends TdApi.SupergroupMembersFilter

Returns users which can be mentioned in the supergroup.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`long` | `messageThreadId` | If non-zero, the identifier of the current message thread.
`String` | `query` | Query to search for.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SupergroupMembersFilterMention()` | Returns users which can be mentioned in the supergroup.
`SupergroupMembersFilterMention​(DataInput input)` |
`SupergroupMembersFilterMention​(String query, long messageThreadId)` | Returns users which can be mentioned in the supergroup.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### query

public String query
Query to search for.

### messageThreadId

public long messageThreadId
If non-zero, the identifier of the current message thread.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### SupergroupMembersFilterMention

public SupergroupMembersFilterMention()
Returns users which can be mentioned in the supergroup.

### SupergroupMembersFilterMention

public SupergroupMembersFilterMention​(String query, long messageThreadId)
Returns users which can be mentioned in the supergroup.

Parameters:
  `query` - String Query to search for.
  `messageThreadId` - long If non-zero, the identifier of the current message thread.

### SupergroupMembersFilterMention

public SupergroupMembersFilterMention​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`